#include <iostream>
#include <tuple>
using namespace std;

int main() {
	tuple<int, int, int> triple(10, 20, 30);
	cout << get<1>(triple) << endl;
	tuple_element<2, tuple<int, float, double>>::type x = 3.14;
	cout << tuple_size<decltype(triple)>::value << endl;
}
